View Issue Details

IDProjectCategoryView StatusLast Update
0003813ScribusScripterpublic2019-12-16 19:43
Reporterchristoph_s Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status acknowledgedResolutionopen 
PlatformanyOSanyOS Versionany
Product Version1.3 
Target VersionFixed in Version 
Summary0003813: Metabug: Scripter
DescriptionAll bugs related to the Scripter

==PLEASE DON'T ADD ANY COMMENTS TO THIS METABUG==

If you wish to be notified about issues related to the Scripter, please click on the "Monitor Issue" button

Additional InformationSee the whole list of metabugs: http://wiki.scribus.net/index.php/Metabugs
TagsNo tags attached.
Patch

Relationships

related to 0000083 closedale Booklet functionality 
related to 0003117 closed Scripter Manual no longer available in Help Menu 
related to 0002398 closedjghali Get plugins to compile on Windows (win32) 
related to 0002104 closedcbradney crash on save after restoring window 
related to 0002561 closedfschmid Crash when trying to Print Preview Font Sampler Output 
related to 0002439 closedringerc Recently run scripts are not remembered in the menu. 
related to 0002371 acknowledged Split GUI and Scripter translation files 
related to 0001648 closedfschmid Ability to get the line count in a text frame 
related to 0000990 assignedale Mail-Merge (update: Scribus Generator) 
related to 0001874 closedringerc Wrong size order 
related to 0001633 closedsubik plugins manager 
related to 0001716 closedsubik Merge Scripter docstring into documentation 
related to 0000187 closedcbradney Add Table of Contents bool and integer to styles and Scripter function to set/get this value 
related to 0001667 closedplinnell PATCH: Update scripter FAQ, fix escaping of coding standards 
related to 0001317 closedsubik Script plugin FAQ and boilerplate script wrapper code 
related to 0000730 closedfschmid QApplication::setColorSpec needs to be called before QApplication in main.cpp 
related to 0000550 closedfschmid Unique Object Names 
related to 0000447 closedfschmid Script>Show Console needs a "Close" button. 
related to 0000288 closedfschmid Location of scripter docs should be in /usr/share/scribus 
related to 0000207 closedcbradney Scripter plugin doesn't build 
parent of 0003659 closedsubik trait_de_coupe.py doesn't work correctly under 1.3x 
parent of 0002826 closedchristoph_s missing selectAll in Scripter API 
parent of 0002947 feedbackfschmid faster FinishScriptRun 
parent of 0002331 closedsubik Different units for object's dimmensions and position 
parent of 0003294 closedsubik createLine will not create a vertical line properly 
parent of 0003170 closedcbradney We need to add a file dialog to allow browsing for a file in the Preferences > Scripter > Extensions Tab 
parent of 0002101 closedsubik Improve the Scripter console 
parent of 0000306 closed Copying pages 
parent of 0003130 closedsubik newPage does load template, no error though 
parent of 0003510 closedsubik Crash in Scripter Console when using F2 to run in console in Russian 
parent of 0003209 closedh_a_j_s Python crashes constantly Scripter and documentation is wrong. 
parent of 0003037 closedringerc utf code instead of letters in scripts console 
parent of 0002948 closedjghali scripter constantly grabs focus if running a long script 
parent of 0002926 closed Running FontSample.py (v0.8.1tk) consumes all resources 
parent of 0002946 closedsubik patch for faster insertText() 
parent of 0002770 closedsubik setStyle (Scripter) applies only to first selected frame 
parent of 0001606 closedsubik setStyle changes complete frame style despite selection 
parent of 0002758 closedsubik Setting different paragraph-style in one textframe from scripter doesn't work 
parent of 0002913 confirmed modify/create templates with scripter 
parent of 0002852 closedsubik need a scripter view function to set a document to "fit in window" 
parent of 0002630 closedsubik Constant FIRSTPAGERIGHT/FIRSTPAGELEFT works in the wrong direction 
parent of 0002590 closedsubik write configuration widgets for plugins 
parent of 0002512 closedplinnell mistakes in help messages 
parent of 0002799 closedsubik Scripter : msvc compatibility patch 
parent of 0002701 closedsubik Running Font sampler results in 1st page in right hand side of work area 
parent of 0002597 closedsjc Minor amendment to FontSample.py 
parent of 0002699 closedcbradney running the scripter font sampler with current cvs crashes on run 
parent of 0002018 closedsubik allow fileDialog to be used to select a directory 
parent of 0002432 closedcbradney Font Sample Script crashes Scribus 
parent of 0001176 closedsubik Calendar Helper 
parent of 0001675 closedringerc investigate dcop scripting for KDE integrated version 
parent of 0002179 closedfschmid Current 1.3.0 cvs does not display sjc's scripter properly 
parent of 0001629 closedcbradney A need to run menu items from the scriptor for automation purposes 
parent of 0002160 closedringerc Import SVGs with Python 
parent of 0002156 closedcbradney Closing console doesn't change status in the menu 
parent of 0001614 closedsubik PATCH: scale image to frame control from scripter 
parent of 0002047 closedringerc Function to convert unit in another unit (mm -> pt) 
parent of 0002053 closedringerc Make all measurement calculations in Scripter rely on units.h/.cpp 
parent of 0002116 assignedsubik Python interface to PDF annotations / field properties 
parent of 0001406 confirmed Add text metrics to scripter 
parent of 0002049 acknowledged To format text and get format with some tags 
parent of 0001922 closedringerc getPosition ingnored pageoffset 
parent of 0001882 closedringerc Dimensions are strange in scripter 
parent of 0001543 closedsubik calling Scripter procedures or functions won't affect Mpalette widgets 
parent of 0001521 closedsubik Compilation aborts when using Python 2.2 
parent of 0001515 closedsubik scaleImage won't work 
parent of 0001658 closedringerc PATCH: Minor scripter fixes, initialize variable in ScrAction constructor 
parent of 0001452 closedsubik Feature request - export image in script 
parent of 0001224 closedsubik Scripter support for checking if a text box is overflowing. 
parent of 0001644 closedcbradney PATCH: Split MenuTest out of scriptplugin.cpp and rename 
parent of 0001628 closedsubik PATCH: Basic version of Qt property based scripter interface for pageitems 
parent of 0001585 closedcbradney [PATCH] Macro manager for Scripter 
parent of 0001589 closedsubik 1.3 scripter object positioning fixes 
parent of 0001560 closedsubik [patch] minor scripter fixes for selection and text color 
parent of 0001287 closedplinnell calendier.py doesn't work 
parent of 0001283 closedsubik Scripter code cleanup 
parent of 0001264 closedfschmid PATCH: Convert functions that take no arguments to METH_NOARGS 
parent of 0001276 closedfschmid PATCH: Change function aliasing to use a dynamically created Python wrapper function 
parent of 0001220 closedsubik cddb_cover.py failed 
parent of 0000354 closedcbradney Ability to script exporting to PDF 
parent of 0000933 closedfschmid Scripter crash on running sample script when no previous documents open 
parent of 0000621 closedfschmid Need an addition to the scripter API: variable that is set by using "-lang xx". 
parent of 0000669 closedfschmid cannot insert a tab into text frame using scripter 
parent of 0000127 closedsubik Ability to link/unlink text frames via scripter 
parent of 0000289 closedfschmid Add in Scripter function to turn on Text wrap on objects 
parent of 0000235 closedfschmid Allow Scripter to update Progress Bar 
parent of 0000120 closedcbradney Ability to detect and show/hide the Tools dialog windows from Scripter 
parent of 0000181 closedcbradney When you run two scripts in a row, and then switch back to the first document, its objects are invisible 
parent of 0000107 closedfschmid When selecting text, the scripter cannot operate on lines after line 1 only 
parent of 0004402 closedmalex script menu is missing 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2006-05-13 20:58 christoph_s New Issue
2006-05-13 20:58 christoph_s Summary Metabug => Metabug: Scripter
2006-05-13 20:59 christoph_s Relationship added parent of 0003659
2006-05-13 21:00 christoph_s Relationship added parent of 0002826
2006-05-13 21:01 christoph_s Relationship added parent of 0002947
2006-05-13 21:01 christoph_s Relationship added parent of 0002331
2006-05-13 21:02 christoph_s Relationship added parent of 0003294
2006-05-13 21:02 christoph_s Relationship added parent of 0003170
2006-05-13 21:03 christoph_s Relationship added parent of 0002101
2006-05-13 21:03 christoph_s Relationship added parent of 0001105
2006-05-13 21:03 christoph_s Relationship replaced related to 0001105
2006-05-13 21:05 christoph_s Relationship added parent of 0000306
2006-05-13 21:05 christoph_s Relationship added parent of 0003130
2006-05-13 21:06 christoph_s Relationship added parent of 0003510
2006-05-13 21:06 christoph_s Relationship added parent of 0003209
2006-05-13 21:08 christoph_s Relationship added related to 0000083
2006-05-13 21:12 christoph_s Relationship added related to 0003117
2006-05-13 21:14 christoph_s Relationship added parent of 0003037
2006-05-13 21:15 christoph_s Relationship added parent of 0002948
2006-05-13 21:17 christoph_s Relationship added parent of 0002926
2006-05-13 21:18 christoph_s Relationship added parent of 0002946
2006-05-13 21:18 christoph_s Relationship added parent of 0002770
2006-05-13 21:19 christoph_s Relationship added parent of 0001606
2006-05-13 21:19 christoph_s Relationship added parent of 0002758
2006-05-13 21:20 christoph_s Relationship added parent of 0002913
2006-05-13 21:20 christoph_s Relationship added parent of 0002852
2006-05-13 21:21 christoph_s Relationship added parent of 0002630
2006-05-13 21:22 christoph_s Relationship added parent of 0002590
2006-05-13 21:22 christoph_s Relationship added related to 0002398
2006-05-13 21:23 christoph_s Relationship added parent of 0002512
2006-05-13 21:23 christoph_s Relationship added parent of 0002799
2006-05-13 21:24 christoph_s Relationship added parent of 0002701
2006-05-13 21:24 christoph_s Relationship added parent of 0002597
2006-05-13 21:24 christoph_s Relationship added parent of 0002699
2006-05-13 21:25 christoph_s Relationship added related to 0002104
2006-05-13 21:27 christoph_s Relationship added parent of 0002018
2006-05-13 21:27 christoph_s Relationship added parent of 0002432
2006-05-13 21:29 christoph_s Relationship added parent of 0001176
2006-05-13 21:30 christoph_s Relationship added related to 0002561
2006-05-13 21:31 christoph_s Relationship added related to 0002439
2006-05-13 21:31 christoph_s Relationship added related to 0002371
2006-05-13 21:32 christoph_s Relationship added parent of 0001675
2006-05-13 21:33 christoph_s Relationship added parent of 0002179
2006-05-13 21:33 christoph_s Relationship added parent of 0001629
2006-05-13 21:34 christoph_s Relationship added parent of 0002160
2006-05-13 21:34 christoph_s Relationship added parent of 0002156
2006-05-13 21:35 christoph_s Relationship added parent of 0001614
2006-05-13 21:35 christoph_s Relationship added parent of 0002047
2006-05-13 21:36 christoph_s Relationship added parent of 0002053
2006-05-13 21:36 christoph_s Relationship added parent of 0002116
2006-05-13 21:37 christoph_s Relationship added related to 0001648
2006-05-13 21:38 christoph_s Relationship added related to 0000990
2006-05-13 21:39 christoph_s Relationship added parent of 0001406
2006-05-13 21:39 christoph_s Relationship added parent of 0002049
2006-05-13 21:40 christoph_s Relationship added parent of 0001922
2006-05-13 21:40 christoph_s Relationship added parent of 0001882
2006-05-13 21:40 christoph_s Relationship added parent of 0001543
2006-05-13 21:41 christoph_s Relationship added related to 0001874
2006-05-13 21:42 christoph_s Relationship added related to 0001633
2006-05-13 21:42 christoph_s Relationship added related to 0001716
2006-05-13 21:43 christoph_s Relationship added parent of 0001512
2006-05-13 21:43 christoph_s Relationship deleted parent of 0001512
2006-05-13 21:44 christoph_s Relationship added parent of 0001521
2006-05-13 21:45 christoph_s Relationship added parent of 0001515
2006-05-13 21:45 christoph_s Relationship added related to 0000187
2006-05-13 21:45 christoph_s Relationship added parent of 0001658
2006-05-13 21:46 christoph_s Relationship added related to 0001667
2006-05-13 21:47 christoph_s Relationship added parent of 0001452
2006-05-13 21:48 christoph_s Relationship added parent of 0001224
2006-05-13 21:48 christoph_s Relationship added parent of 0001644
2006-05-13 21:49 christoph_s Relationship added parent of 0001628
2006-05-13 21:49 christoph_s Relationship added parent of 0001585
2006-05-13 21:51 christoph_s Relationship added parent of 0001589
2006-05-13 21:52 christoph_s Relationship added parent of 0001560
2006-05-13 21:52 christoph_s Relationship added parent of 0001287
2006-05-13 21:52 christoph_s Relationship added related to 0001317
2006-05-13 21:53 christoph_s Relationship added parent of 0001283
2006-05-13 21:54 christoph_s Relationship added parent of 0001264
2006-05-13 21:54 christoph_s Relationship added parent of 0001276
2006-05-13 21:54 christoph_s Relationship added parent of 0001220
2006-05-13 21:55 christoph_s Relationship added parent of 0000354
2006-05-13 21:55 christoph_s Relationship added parent of 0000933
2006-05-13 21:57 christoph_s Relationship added related to 0000730
2006-05-13 21:57 christoph_s Relationship added parent of 0000621
2006-05-13 21:57 christoph_s Relationship added parent of 0000669
2006-05-13 21:58 christoph_s Relationship added related to 0000550
2006-05-13 22:00 christoph_s Relationship added related to 0000447
2006-05-13 22:00 christoph_s Relationship added parent of 0000127
2006-05-13 22:01 christoph_s Relationship added parent of 0000289
2006-05-13 22:01 christoph_s Relationship added related to 0000288
2006-05-13 22:02 christoph_s Relationship added related to 0000235
2006-05-13 22:02 christoph_s Relationship replaced parent of 0000235
2006-05-13 22:03 christoph_s Relationship added related to 0000207
2006-05-13 22:03 christoph_s Relationship added parent of 0000120
2006-05-13 22:04 christoph_s Relationship added parent of 0000181
2006-05-13 22:04 christoph_s Relationship added parent of 0000107
2006-05-14 16:47 mhanski Description Updated
2006-07-02 22:20 mhanski Additional Information Updated
2006-10-15 21:51 mhanski Relationship added parent of 0004402
2008-02-08 20:07 christoph_s Status new => acknowledged
2019-12-16 19:43 ale Relationship deleted related to 0001105